'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var devkit = require('@nrwl/devkit');
var tree = require('@nrwl/tao/src/shared/tree');

var isDefined = function isDefined(t) {
  return t !== undefined;
};

var getNxProjects = function getNxProjects(_ref) {
  var _ref$cwd = _ref.cwd,
      cwd = _ref$cwd === void 0 ? process.cwd() : _ref$cwd;
  return function () {
    var tree$1 = new tree.FsTree(cwd, true);
    var projects = Array.from(devkit.getProjects(tree$1).keys());
    var scopes = projects.filter(isDefined);
    return [2, "always", scopes];
  };
};

var utils = {
  getNxProjects: getNxProjects
};
var rules = {
  "scope-enum": /*#__PURE__*/getNxProjects({})
};

exports.rules = rules;
exports.utils = utils;
//# sourceMappingURL=commitlint-config-nx-scopes.cjs.development.js.map
