import { getProjects } from '@nrwl/devkit';
import { FsTree } from '@nrwl/tao/src/shared/tree';

var isDefined = function isDefined(t) {
  return t !== undefined;
};

var getNxProjects = function getNxProjects(_ref) {
  var _ref$cwd = _ref.cwd,
      cwd = _ref$cwd === void 0 ? process.cwd() : _ref$cwd;
  return function () {
    var tree = new FsTree(cwd, true);
    var projects = Array.from(getProjects(tree).keys());
    var scopes = projects.filter(isDefined);
    return [2, "always", scopes];
  };
};

var utils = {
  getNxProjects: getNxProjects
};
var rules = {
  "scope-enum": /*#__PURE__*/getNxProjects({})
};

export { rules, utils };
//# sourceMappingURL=commitlint-config-nx-scopes.esm.js.map
